{: test a compilation error occurs when a header parameter is not
   declared as a file }

{$d+}
program d038(output, e);
                   { ^ -------- external file }
var
   f : integer;
   e : text; { !!! there must be an arg for this file }

begin { d038 }
   f := 42;
   writeln( 'f is ', f:1 );
end. { d038 }

